Subject: Re: linux-next: powerpc build failure

From: Alan Modra <[email-masked]>
Date: Thu, 12 Jun 2008 15:03:35 +0930

On Thu, Jun 12, 2008 at 11:38:19AM +1000, Paul Mackerras wrote:
> Direct unconditional branches, including procedure calls, can only
> reach +/- 32MB from the address of the branch on powerpc.  So if the
> image grows to more than 32MB of text there is a problem unless the
> linker is smart enough to insert trampolines.  I don't know whether
> GNU ld is that smart.

It is, but you need to pass --relax to enable generation of the
trampolines.

-- 
Alan Modra
Australia Development Lab, IBM